ConfigurationHelper (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.commons.cfg

## [Groovy] Class ConfigurationHelper

- org.codehaus.groovy.grails.commons.cfg.ConfigurationHelper

- Helper methods for initialising config object.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DEV_CACHE_KEY` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.util.List` | `DEFAULT_RESOURCES_PLUGIN_EXCLUDES`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `clearCachedConfig(GrailsApplication application)`
    `static void` | `clearCachedConfigs()`
    `static groovy.util.ConfigSlurper` | `getConfigSlurper(java.lang.String environment, GrailsApplication application)`
    `static void` | `initConfig(groovy.util.ConfigObject config, org.springframework.core.io.ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)` Loads external configuration and merges with ConfigObject
    `static void` | `initDefaultConfiguration(groovy.util.ConfigObject config)`
    `static groovy.util.ConfigObject` | `loadConfigFromClasspath(java.lang.String environment)` ', '*
    `static groovy.util.ConfigObject` | `loadConfigFromClasspath(GrailsApplication application = null, java.lang.String environment = Environment.current.name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final int DEV_CACHE_KEY

  - ### Property Detail

    - #### static final java.util.List DEFAULT_RESOURCES_PLUGIN_EXCLUDES

  - ### Method Detail

    - #### @groovy.transform.CompileStatic static void clearCachedConfig(GrailsApplication application)

    - #### @groovy.transform.CompileStatic static void clearCachedConfigs()

    - #### @groovy.transform.CompileStatic static groovy.util.ConfigSlurper getConfigSlurper(java.lang.String environment, GrailsApplication application)

    - #### @groovy.transform.CompileStatic static void initConfig(groovy.util.ConfigObject config, org.springframework.core.io.ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)

      Loads external configuration and merges with ConfigObject

    - #### static void initDefaultConfiguration(groovy.util.ConfigObject config)

    - #### @groovy.transform.CompileStatic static groovy.util.ConfigObject loadConfigFromClasspath(java.lang.String environment)

      ', '*

    - #### @groovy.transform.CompileStatic static groovy.util.ConfigObject loadConfigFromClasspath(GrailsApplication application = null, java.lang.String environment = Environment.current.name)